From e608dcee38e93db28b15632d9e461dd87f3ab3c7 Mon Sep 17 00:00:00 2001
From: Oliver Pinter <oliver.pntr@gmail.com>
Date: Sun, 8 Dec 2013 01:15:16 +0100
Subject: [PATCH] hook in iwn2000fw and iwn2030fw to kernel build

Signed-off-by: Oliver Pinter <oliver.pntr@gmail.com>
---
 sys/conf/files | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/sys/conf/files b/sys/conf/files
index 67a65d2..2fba689 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -1605,6 +1605,34 @@ iwn1000.fw			optional iwn1000fw | iwnfw		\
 	compile-with	"${NORMAL_FW}"					\
 	no-obj no-implicit-rule						\
 	clean		"iwn1000.fw"
+iwn2000fw.c			optional iwn2000fw | iwnfw		\
+	compile-with	"${AWK} -f $S/tools/fw_stub.awk iwn2000.fw:iwn2000fw -miwn2000fw -c${.TARGET}" \
+	no-implicit-rule before-depend local				\
+	clean		"iwn2000fw.c"
+iwn2000fw.fwo			optional iwn2000fw | iwnfw		\
+	dependency	"iwn2000.fw"					\
+	compile-with	"${NORMAL_FWO}"					\
+	no-implicit-rule						\
+	clean		"iwn2000fw.fwo"
+iwn2000.fw			optional iwn2000fw | iwnfw		\
+	dependency	"$S/contrib/dev/iwn/iwlwifi-2000-18.168.6.1.fw.uu" \
+	compile-with	"${NORMAL_FW}"					\
+	no-obj no-implicit-rule						\
+	clean		"iwn2000.fw"
+iwn2030fw.c			optional iwn2030fw | iwnfw		\
+	compile-with	"${AWK} -f $S/tools/fw_stub.awk iwn2030.fw:iwn2030fw -miwn2030fw -c${.TARGET}" \
+	no-implicit-rule before-depend local				\
+	clean		"iwn2030fw.c"
+iwn2030fw.fwo			optional iwn2030fw | iwnfw		\
+	dependency	"iwn2030.fw"					\
+	compile-with	"${NORMAL_FWO}"					\
+	no-implicit-rule						\
+	clean		"iwn2030fw.fwo"
+iwn2030.fw			optional iwn2030fw | iwnfw		\
+	dependency	"$S/contrib/dev/iwn/iwnwifi-2030-18.168.6.1.fw.uu" \
+	compile-with	"${NORMAL_FW}"					\
+	no-obj no-implicit-rule						\
+	clean		"iwn2030.fw"
 iwn4965fw.c			optional iwn4965fw | iwnfw		\
 	compile-with	"${AWK} -f $S/tools/fw_stub.awk iwn4965.fw:iwn4965fw -miwn4965fw -c${.TARGET}" \
 	no-implicit-rule before-depend local				\
-- 
1.8.4

